低危 PHP 'ext/standard/string.c'整数溢出漏洞

CVE编号

CVE-2016-4346

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-05-22 14:59:00
漏洞描述
PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHP Group和开放源代码社区共同维护的一种开源的通用计算机脚本语言。
PHP的ext/standard/string.c文件中存在整数溢出漏洞。攻击者可利用该漏洞造成拒绝服务(堆溢出)。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://bugs.php.net/bug.php?id=71637
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 php php * Up to
(including)
7.0.3
2
运行在以下环境
系统 suse_11_SP4 php53-fileinfo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-fastcgi * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-gd * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-gettext * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-odbc * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-mysql * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-openssl * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-pdo * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-xmlrpc * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-xmlreader * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-shmop * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-mcrypt * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-mbstring * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-zlib * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-soap * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-sysvmsg * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-dba * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 apache2-mod_php53 * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-intl * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-pspell * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-curl * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-bz2 * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-sysvshm * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-exif * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-sysvsem * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-dom * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-suhosin * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-pcntl * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-wddx * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-tokenizer * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-ctype * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-iconv * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-pgsql * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53 * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-bcmath * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-gmp * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-ftp * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-zip * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-calendar * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-pear * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-ldap * Up to
(excluding)
5.3.17-71.1
运行在以下环境
系统 suse_11_SP4 php53-xmlwr * Up to
(excluding)
5.3.17-71.1
3
运行在以下环境
系统 opensuse_Leap_42.1 php53-fileinfo * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-fastcgi * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-gd * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-gettext * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-odbc * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-mysql * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-openssl * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-pdo * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-xmlrpc * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-xmlreader * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-shmop * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-mcrypt * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-mbstring * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-zlib * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-soap * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-sysvmsg * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-dba * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 apache2-mod_php53 * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-intl * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-pspell * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-curl * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-bz2 * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-sysvshm * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-exif * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-sysvsem * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-dom * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-suhosin * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-pcntl * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-wddx * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-tokenizer * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-ctype * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-iconv * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-pgsql * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53 * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-bcmath * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-gmp * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-ftp * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-zip * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-calendar * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-pear * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-ldap * Up to
(excluding)
5.5.14-50.1
运行在以下环境
系统 opensuse_Leap_42.1 php53-xmlwr * Up to
(excluding)
5.5.14-50.1
4
运行在以下环境
系统 opensuse_13.2 php53-fileinfo * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-fastcgi * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-gd * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-gettext * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-odbc * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-mysql * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-openssl * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-pdo * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-xmlrpc * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-xmlreader * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-shmop * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-mcrypt * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-mbstring * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-zlib * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-soap * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-sysvmsg * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-dba * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 apache2-mod_php53 * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-intl * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-pspell * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-curl * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-bz2 * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-sysvshm * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-exif * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-sysvsem * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-dom * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-suhosin * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-pcntl * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-wddx * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-tokenizer * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-ctype * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-iconv * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-pgsql * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53 * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-bcmath * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-gmp * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-ftp * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-zip * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-calendar * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-pear * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-ldap * Up to
(excluding)
5.6.1-61.1
运行在以下环境
系统 opensuse_13.2 php53-xmlwr * Up to
(excluding)
5.6.1-61.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况